> ## Documentation Index
> Fetch the complete documentation index at: https://aspect.inc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent Events



## OpenAPI

````yaml /api-reference/openapi.json get /agent/conversations/{conversation_id}/events
openapi: 3.1.0
info:
  title: Aspect Platform API
  description: A FastAPI application for Aspect Platform functionality
  version: 0.0.0
servers:
  - url: https://api.aspect.inc
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /agent/conversations/{conversation_id}/events:
    get:
      tags:
        - Agent
      summary: List Agent Events
      operationId: get_Agent_agent_conversations_conversation_id_events
      parameters:
        - name: conversation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Conversation Id
            description: Conversation ID
          description: Conversation ID
        - name: after_cursor
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Return events with cursor greater than this value
            default: 0
            title: After Cursor
          description: Return events with cursor greater than this value
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            description: Maximum events to return
            default: 100
            title: Limit
          description: Maximum events to return
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentEventListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AgentEventListResponse:
      properties:
        events:
          items:
            $ref: '#/components/schemas/AgentEventResponse'
          type: array
          title: Events
          description: Events after the requested cursor
        has_more:
          type: boolean
          title: Has More
          description: Whether more events are available
        latest_cursor:
          type: integer
          title: Latest Cursor
          description: Latest cursor in the conversation
      type: object
      required:
        - events
        - has_more
        - latest_cursor
      title: AgentEventListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AgentEventResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Event ID
        cursor:
          type: integer
          title: Cursor
          description: Monotonically increasing replay cursor
        conversation_id:
          type: string
          format: uuid
          title: Conversation Id
          description: Conversation ID
        run_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Run Id
          description: Run associated with the event
        event_type:
          $ref: '#/components/schemas/AgentEventType'
          description: Canonical event type
        payload:
          additionalProperties: true
          type: object
          title: Payload
          description: Canonical event payload
        created:
          type: string
          format: date-time
          title: Created
          description: Creation timestamp
      type: object
      required:
        - id
        - cursor
        - conversation_id
        - event_type
        - payload
        - created
      title: AgentEventResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AgentEventType:
      type: string
      enum:
        - conversation.created
        - conversation.updated
        - message.created
        - run.created
        - run.status_changed
        - text.delta
        - text.completed
        - tool_call.created
        - tool_call.updated
        - tool_call.completed
        - approval.required
        - approval.resolved
        - run.completed
        - run.failed
        - run.cancel_requested
        - run.cancelled
        - heartbeat
      title: AgentEventType
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT in Authorization header. 'Bearer ' prefix optional.
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

````